View Issue Details

IDProjectCategoryView StatusLast Update
0006242GNUnetutil librarypublic2020-07-09 09:17
Reporterseanbillig Assigned ToChristian Grothoff  
PrioritylowSeveritytrivialReproducibilityN/A
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.13.0Fixed in Version0.13.0 
Summary0006242: Duplicate message type values in gnunet_protocols.h
Description```
/**
 * Report that the peer is synced with the partner after successfuly decoding
 * the invertible bloom filter.
 */
#define GNUNET_MESSAGE_TYPE_CONSENSUS_P2P_SYNCED 547

/**
 * Interaction os over, got synched and reported all elements
 */
#define GNUNET_MESSAGE_TYPE_CONSENSUS_P2P_FIN 548

/**
 * Abort a round, don't send requested elements anymore
 */
#define GNUNET_MESSAGE_TYPE_CONSENSUS_P2P_ABORT 548

/**
 * Abort a round, don't send requested elements anymore
 */
#define GNUNET_MESSAGE_TYPE_CONSENSUS_P2P_ROUND_CONTEXT 547
```

Of these, only GNUNET_MESSAGE_TYPE_CONSENSUS_P2P_ROUND_CONTEXT appears to be used in the main gnunet repo.

(Note that these duplicated values are also present in gnunet-go)
Tagsandroid, gnunet-gtk, gnunet-search, Linux

Activities

Christian Grothoff

2020-05-22 01:15

manager   ~0015936

Yeah, bad style. We should really put those values into GANA asap to get some sanity checks on them, like uniqueness...

Christian Grothoff

2020-05-22 01:22

manager   ~0015938

Fixed in 51194a29d..9a92bbb51

schanzen

2020-07-09 09:17

manager   ~0016416

0.13.0 released

Issue History

Date Modified Username Field Change
2020-05-17 23:17 seanbillig New Issue
2020-05-22 01:15 Christian Grothoff Note Added: 0015936
2020-05-22 01:22 Christian Grothoff Assigned To => Christian Grothoff
2020-05-22 01:22 Christian Grothoff Status new => resolved
2020-05-22 01:22 Christian Grothoff Resolution open => fixed
2020-05-22 01:22 Christian Grothoff Fixed in Version => 0.13.0
2020-05-22 01:22 Christian Grothoff Note Added: 0015938
2020-05-22 01:22 Christian Grothoff Target Version => 0.13.0
2020-06-01 00:49 Adminknox Issue cloned: 0006280
2020-06-01 00:51 Adminknox Tag Attached: Linux
2020-06-01 00:51 Adminknox Tag Attached: android
2020-06-01 00:51 Adminknox Tag Attached: gnunet-search
2020-06-01 00:51 Adminknox Tag Attached: gnunet-gtk
2020-06-01 00:52 Adminknox Issue cloned: 0006323
2020-07-09 09:17 schanzen Note Added: 0016416
2020-07-09 09:17 schanzen Status resolved => closed